# mysqlpp::SelfTestFailed Class Reference

Used within MySQL++'s test harness only. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::SelfTestFailed:

[legend]
Collaboration diagram for mysqlpp::SelfTestFailed:

[legend]
List of all members.

## Public Member Functions

| SelfTestFailed (const std::string &w)
| Create exception object.

## Detailed Description

Used within MySQL++'s test harness only.

The documentation for this class was generated from the following file:

- exceptions.h